curl --request GET \
--url https://api.byteful.com/1.0/public/user/residential_ledger/search \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/residential_ledger/search"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/residential_ledger/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"customer_id": 1955,
"residential_ledger_bytes": 128290101,
"residential_ledger_creation_datetime": "2023-04-01 12:00:00",
"residential_ledger_id": "123e4567-e89b-12d3-a456-426614174000",
"residential_ledger_last_update_datetime": "2023-04-02 12:00:00",
"residential_ledger_period_date": "2023-10-01",
"residential_ledger_reason": "top_up",
"residential_ledger_requests": 1244,
"service_adjustment_id": 10,
"service_id": "API-1234-5678"
}
],
"item_count": 1,
"message": "Residential Ledger search successful.",
"page": 1,
"per_page": 10,
"total_count": 1
}Search Residential Ledger
Search for entries in the Residential Ledger using various filters.
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Query Parameters
Unique identifier of the Residential Ledger entry.
Service identifier associated with the ledger entry.
Adjustment identifier associated with the ledger entry.
Reason for the ledger entry.
Number of requests recorded in the ledger entry.
Data usage in bytes recorded in the ledger entry.
The date of the ledger entry.
Creation datetime of the ledger entry.
Last update datetime of the ledger entry.
Number of items per page for pagination
Page number for pagination
Key for sorting or random.
Response
Successful Residential Ledger search
Residential Ledger search was successful.
Array of Residential Ledger items matching the search criteria up to the limit of per_page paramater.
Show child attributes
Show child attributes
Total number of Residential Ledger items returned in the data field.
Status message for the search.
Current page number of the search results returned.
Number of Residential Ledger items returned per page.
Total of Residential Ledger items that match the search filter.

